JUCE: Colours Class Reference

JUCE

Static Public Member Functions | Static Public Attributes | List of all members
Colours Class Reference

Contains a set of predefined named colours (mostly standard HTML colours) More...

## Static Public Member Functions
static JUCE_API Colour | findColourForName (const String &colourName, Colour defaultColour)
| Attempts to look up a string in the list of known colour names, and return the appropriate colour. More...

## Static Public Attributes
static const JUCE_API Colour | transparentBlack
| ARGB = 0x00000000. More...
static const JUCE_API Colour | transparentWhite
| ARGB = 0x00ffffff. More...
static const JUCE_API Colour | black
| ARGB = 0xff000000. More...
static const JUCE_API Colour | white
| ARGB = 0xffffffff. More...
static const JUCE_API Colour | blue
| ARGB = 0xff0000ff. More...
static const JUCE_API Colour | grey
| ARGB = 0xff808080. More...
static const JUCE_API Colour | green
| ARGB = 0xff008000. More...
static const JUCE_API Colour | red
| ARGB = 0xffff0000. More...
static const JUCE_API Colour | yellow
| ARGB = 0xffffff00. More...
static const JUCE_API Colour | aliceblue
static const JUCE_API Colour | antiquewhite
static const JUCE_API Colour | aqua
static const JUCE_API Colour | aquamarine
static const JUCE_API Colour | azure
static const JUCE_API Colour | beige
static const JUCE_API Colour | bisque
static const JUCE_API Colour | blanchedalmond
static const JUCE_API Colour | blueviolet
static const JUCE_API Colour | brown
static const JUCE_API Colour | burlywood
static const JUCE_API Colour | cadetblue
static const JUCE_API Colour | chartreuse
static const JUCE_API Colour | chocolate
static const JUCE_API Colour | coral
static const JUCE_API Colour | cornflowerblue
static const JUCE_API Colour | cornsilk
static const JUCE_API Colour | crimson
static const JUCE_API Colour | cyan
static const JUCE_API Colour | darkblue
static const JUCE_API Colour | darkcyan
static const JUCE_API Colour | darkgoldenrod
static const JUCE_API Colour | darkgrey
static const JUCE_API Colour | darkgreen
static const JUCE_API Colour | darkkhaki
static const JUCE_API Colour | darkmagenta
static const JUCE_API Colour | darkolivegreen
static const JUCE_API Colour | darkorange
static const JUCE_API Colour | darkorchid
static const JUCE_API Colour | darkred
static const JUCE_API Colour | darksalmon
static const JUCE_API Colour | darkseagreen
static const JUCE_API Colour | darkslateblue
static const JUCE_API Colour | darkslategrey
static const JUCE_API Colour | darkturquoise
static const JUCE_API Colour | darkviolet
static const JUCE_API Colour | deeppink
static const JUCE_API Colour | deepskyblue
static const JUCE_API Colour | dimgrey
static const JUCE_API Colour | dodgerblue
static const JUCE_API Colour | firebrick
static const JUCE_API Colour | floralwhite
static const JUCE_API Colour | forestgreen
static const JUCE_API Colour | fuchsia
static const JUCE_API Colour | gainsboro
static const JUCE_API Colour | ghostwhite
static const JUCE_API Colour | gold
static const JUCE_API Colour | goldenrod
static const JUCE_API Colour | greenyellow
static const JUCE_API Colour | honeydew
static const JUCE_API Colour | hotpink
static const JUCE_API Colour | indianred
static const JUCE_API Colour | indigo
static const JUCE_API Colour | ivory
static const JUCE_API Colour | khaki
static const JUCE_API Colour | lavender
static const JUCE_API Colour | lavenderblush
static const JUCE_API Colour | lawngreen
static const JUCE_API Colour | lemonchiffon
static const JUCE_API Colour | lightblue
static const JUCE_API Colour | lightcoral
static const JUCE_API Colour | lightcyan
static const JUCE_API Colour | lightgoldenrodyellow
static const JUCE_API Colour | lightgreen
static const JUCE_API Colour | lightgrey
static const JUCE_API Colour | lightpink
static const JUCE_API Colour | lightsalmon
static const JUCE_API Colour | lightseagreen
static const JUCE_API Colour | lightskyblue
static const JUCE_API Colour | lightslategrey
static const JUCE_API Colour | lightsteelblue
static const JUCE_API Colour | lightyellow
static const JUCE_API Colour | lime
static const JUCE_API Colour | limegreen
static const JUCE_API Colour | linen
static const JUCE_API Colour | magenta
static const JUCE_API Colour | maroon
static const JUCE_API Colour | mediumaquamarine
static const JUCE_API Colour | mediumblue
static const JUCE_API Colour | mediumorchid
static const JUCE_API Colour | mediumpurple
static const JUCE_API Colour | mediumseagreen
static const JUCE_API Colour | mediumslateblue
static const JUCE_API Colour | mediumspringgreen
static const JUCE_API Colour | mediumturquoise
static const JUCE_API Colour | mediumvioletred
static const JUCE_API Colour | midnightblue
static const JUCE_API Colour | mintcream
static const JUCE_API Colour | mistyrose
static const JUCE_API Colour | moccasin
static const JUCE_API Colour | navajowhite
static const JUCE_API Colour | navy
static const JUCE_API Colour | oldlace
static const JUCE_API Colour | olive
static const JUCE_API Colour | olivedrab
static const JUCE_API Colour | orange
static const JUCE_API Colour | orangered
static const JUCE_API Colour | orchid
static const JUCE_API Colour | palegoldenrod
static const JUCE_API Colour | palegreen
static const JUCE_API Colour | paleturquoise
static const JUCE_API Colour | palevioletred
static const JUCE_API Colour | papayawhip
static const JUCE_API Colour | peachpuff
static const JUCE_API Colour | peru
static const JUCE_API Colour | pink
static const JUCE_API Colour | plum
static const JUCE_API Colour | powderblue
static const JUCE_API Colour | purple
static const JUCE_API Colour | rebeccapurple
static const JUCE_API Colour | rosybrown
static const JUCE_API Colour | royalblue
static const JUCE_API Colour | saddlebrown
static const JUCE_API Colour | salmon
static const JUCE_API Colour | sandybrown
static const JUCE_API Colour | seagreen
static const JUCE_API Colour | seashell
static const JUCE_API Colour | sienna
static const JUCE_API Colour | silver
static const JUCE_API Colour | skyblue
static const JUCE_API Colour | slateblue
static const JUCE_API Colour | slategrey
static const JUCE_API Colour | snow
static const JUCE_API Colour | springgreen
static const JUCE_API Colour | steelblue
static const JUCE_API Colour | tan
static const JUCE_API Colour | teal
static const JUCE_API Colour | thistle
static const JUCE_API Colour | tomato
static const JUCE_API Colour | turquoise
static const JUCE_API Colour | violet
static const JUCE_API Colour | wheat
static const JUCE_API Colour | whitesmoke
static const JUCE_API Colour | yellowgreen

## Detailed Description

Contains a set of predefined named colours (mostly standard HTML colours)

See also
  Colour

## Member Function Documentation

## ◆ findColourForName()

static JUCE_API Colour Colours::findColourForName | ( | const String & | colourName,
|  | Colour | defaultColour
| ) |  |
| static

Attempts to look up a string in the list of known colour names, and return the appropriate colour.

A non-case-sensitive search is made of the list of predefined colours, and if a match is found, that colour is returned. If no match is found, the colour passed in as the defaultColour parameter is returned.

## Member Data Documentation

## ◆ transparentBlack

const JUCE_API Colour Colours::transparentBlack
| static

ARGB = 0x00000000.

## ◆ transparentWhite

const JUCE_API Colour Colours::transparentWhite
| static

ARGB = 0x00ffffff.

## ◆ black

const JUCE_API Colour Colours::black
| static

ARGB = 0xff000000.

## ◆ white

const JUCE_API Colour Colours::white
| static

ARGB = 0xffffffff.

## ◆ blue

const JUCE_API Colour Colours::blue
| static

ARGB = 0xff0000ff.

## ◆ grey

const JUCE_API Colour Colours::grey
| static

ARGB = 0xff808080.

## ◆ green

const JUCE_API Colour Colours::green
| static

ARGB = 0xff008000.

## ◆ red

const JUCE_API Colour Colours::red
| static

ARGB = 0xffff0000.

## ◆ yellow

const JUCE_API Colour Colours::yellow
| static

ARGB = 0xffffff00.

## ◆ aliceblue

const JUCE_API Colour Colours::aliceblue
| static

## ◆ antiquewhite

const JUCE_API Colour Colours::antiquewhite
| static

## ◆ aqua

const JUCE_API Colour Colours::aqua
| static

## ◆ aquamarine

const JUCE_API Colour Colours::aquamarine
| static

## ◆ azure

const JUCE_API Colour Colours::azure
| static

## ◆ beige

const JUCE_API Colour Colours::beige
| static

## ◆ bisque

const JUCE_API Colour Colours::bisque
| static

## ◆ blanchedalmond

const JUCE_API Colour Colours::blanchedalmond
| static

## ◆ blueviolet

const JUCE_API Colour Colours::blueviolet
| static

## ◆ brown

const JUCE_API Colour Colours::brown
| static

## ◆ burlywood

const JUCE_API Colour Colours::burlywood
| static

## ◆ cadetblue

const JUCE_API Colour Colours::cadetblue
| static

## ◆ chartreuse

const JUCE_API Colour Colours::chartreuse
| static

## ◆ chocolate

const JUCE_API Colour Colours::chocolate
| static

## ◆ coral

const JUCE_API Colour Colours::coral
| static

## ◆ cornflowerblue

const JUCE_API Colour Colours::cornflowerblue
| static

## ◆ cornsilk

const JUCE_API Colour Colours::cornsilk
| static

## ◆ crimson

const JUCE_API Colour Colours::crimson
| static

## ◆ cyan

const JUCE_API Colour Colours::cyan
| static

## ◆ darkblue

const JUCE_API Colour Colours::darkblue
| static

## ◆ darkcyan

const JUCE_API Colour Colours::darkcyan
| static

## ◆ darkgoldenrod

const JUCE_API Colour Colours::darkgoldenrod
| static

## ◆ darkgrey

const JUCE_API Colour Colours::darkgrey
| static

## ◆ darkgreen

const JUCE_API Colour Colours::darkgreen
| static

## ◆ darkkhaki

const JUCE_API Colour Colours::darkkhaki
| static

## ◆ darkmagenta

const JUCE_API Colour Colours::darkmagenta
| static

## ◆ darkolivegreen

const JUCE_API Colour Colours::darkolivegreen
| static

## ◆ darkorange

const JUCE_API Colour Colours::darkorange
| static

## ◆ darkorchid

const JUCE_API Colour Colours::darkorchid
| static

## ◆ darkred

const JUCE_API Colour Colours::darkred
| static

## ◆ darksalmon

const JUCE_API Colour Colours::darksalmon
| static

## ◆ darkseagreen

const JUCE_API Colour Colours::darkseagreen
| static

## ◆ darkslateblue

const JUCE_API Colour Colours::darkslateblue
| static

## ◆ darkslategrey

const JUCE_API Colour Colours::darkslategrey
| static

## ◆ darkturquoise

const JUCE_API Colour Colours::darkturquoise
| static

## ◆ darkviolet

const JUCE_API Colour Colours::darkviolet
| static

## ◆ deeppink

const JUCE_API Colour Colours::deeppink
| static

## ◆ deepskyblue

const JUCE_API Colour Colours::deepskyblue
| static

## ◆ dimgrey

const JUCE_API Colour Colours::dimgrey
| static

## ◆ dodgerblue

const JUCE_API Colour Colours::dodgerblue
| static

## ◆ firebrick

const JUCE_API Colour Colours::firebrick
| static

## ◆ floralwhite

const JUCE_API Colour Colours::floralwhite
| static

## ◆ forestgreen

const JUCE_API Colour Colours::forestgreen
| static

## ◆ fuchsia

const JUCE_API Colour Colours::fuchsia
| static

## ◆ gainsboro

const JUCE_API Colour Colours::gainsboro
| static

## ◆ ghostwhite

const JUCE_API Colour Colours::ghostwhite
| static

## ◆ gold

const JUCE_API Colour Colours::gold
| static

## ◆ goldenrod

const JUCE_API Colour Colours::goldenrod
| static

## ◆ greenyellow

const JUCE_API Colour Colours::greenyellow
| static

## ◆ honeydew

const JUCE_API Colour Colours::honeydew
| static

## ◆ hotpink

const JUCE_API Colour Colours::hotpink
| static

## ◆ indianred

const JUCE_API Colour Colours::indianred
| static

## ◆ indigo

const JUCE_API Colour Colours::indigo
| static

## ◆ ivory

const JUCE_API Colour Colours::ivory
| static

## ◆ khaki

const JUCE_API Colour Colours::khaki
| static

## ◆ lavender

const JUCE_API Colour Colours::lavender
| static

## ◆ lavenderblush

const JUCE_API Colour Colours::lavenderblush
| static

## ◆ lawngreen

const JUCE_API Colour Colours::lawngreen
| static

## ◆ lemonchiffon

const JUCE_API Colour Colours::lemonchiffon
| static

## ◆ lightblue

const JUCE_API Colour Colours::lightblue
| static

## ◆ lightcoral

const JUCE_API Colour Colours::lightcoral
| static

## ◆ lightcyan

const JUCE_API Colour Colours::lightcyan
| static

## ◆ lightgoldenrodyellow

const JUCE_API Colour Colours::lightgoldenrodyellow
| static

## ◆ lightgreen

const JUCE_API Colour Colours::lightgreen
| static

## ◆ lightgrey

const JUCE_API Colour Colours::lightgrey
| static

## ◆ lightpink

const JUCE_API Colour Colours::lightpink
| static

## ◆ lightsalmon

const JUCE_API Colour Colours::lightsalmon
| static

## ◆ lightseagreen

const JUCE_API Colour Colours::lightseagreen
| static

## ◆ lightskyblue

const JUCE_API Colour Colours::lightskyblue
| static

## ◆ lightslategrey

const JUCE_API Colour Colours::lightslategrey
| static

## ◆ lightsteelblue

const JUCE_API Colour Colours::lightsteelblue
| static

## ◆ lightyellow

const JUCE_API Colour Colours::lightyellow
| static

## ◆ lime

const JUCE_API Colour Colours::lime
| static

## ◆ limegreen

const JUCE_API Colour Colours::limegreen
| static

## ◆ linen

const JUCE_API Colour Colours::linen
| static

## ◆ magenta

const JUCE_API Colour Colours::magenta
| static

## ◆ maroon

const JUCE_API Colour Colours::maroon
| static

## ◆ mediumaquamarine

const JUCE_API Colour Colours::mediumaquamarine
| static

## ◆ mediumblue

const JUCE_API Colour Colours::mediumblue
| static

## ◆ mediumorchid

const JUCE_API Colour Colours::mediumorchid
| static

## ◆ mediumpurple

const JUCE_API Colour Colours::mediumpurple
| static

## ◆ mediumseagreen

const JUCE_API Colour Colours::mediumseagreen
| static

## ◆ mediumslateblue

const JUCE_API Colour Colours::mediumslateblue
| static

## ◆ mediumspringgreen

const JUCE_API Colour Colours::mediumspringgreen
| static

## ◆ mediumturquoise

const JUCE_API Colour Colours::mediumturquoise
| static

## ◆ mediumvioletred

const JUCE_API Colour Colours::mediumvioletred
| static

## ◆ midnightblue

const JUCE_API Colour Colours::midnightblue
| static

## ◆ mintcream

const JUCE_API Colour Colours::mintcream
| static

## ◆ mistyrose

const JUCE_API Colour Colours::mistyrose
| static

## ◆ moccasin

const JUCE_API Colour Colours::moccasin
| static

## ◆ navajowhite

const JUCE_API Colour Colours::navajowhite
| static

## ◆ navy

const JUCE_API Colour Colours::navy
| static

## ◆ oldlace

const JUCE_API Colour Colours::oldlace
| static

## ◆ olive

const JUCE_API Colour Colours::olive
| static

## ◆ olivedrab

const JUCE_API Colour Colours::olivedrab
| static

## ◆ orange

const JUCE_API Colour Colours::orange
| static

## ◆ orangered

const JUCE_API Colour Colours::orangered
| static

## ◆ orchid

const JUCE_API Colour Colours::orchid
| static

## ◆ palegoldenrod

const JUCE_API Colour Colours::palegoldenrod
| static

## ◆ palegreen

const JUCE_API Colour Colours::palegreen
| static

## ◆ paleturquoise

const JUCE_API Colour Colours::paleturquoise
| static

## ◆ palevioletred

const JUCE_API Colour Colours::palevioletred
| static

## ◆ papayawhip

const JUCE_API Colour Colours::papayawhip
| static

## ◆ peachpuff

const JUCE_API Colour Colours::peachpuff
| static

## ◆ peru

const JUCE_API Colour Colours::peru
| static

## ◆ pink

const JUCE_API Colour Colours::pink
| static

## ◆ plum

const JUCE_API Colour Colours::plum
| static

## ◆ powderblue

const JUCE_API Colour Colours::powderblue
| static

## ◆ purple

const JUCE_API Colour Colours::purple
| static

## ◆ rebeccapurple

const JUCE_API Colour Colours::rebeccapurple
| static

## ◆ rosybrown

const JUCE_API Colour Colours::rosybrown
| static

## ◆ royalblue

const JUCE_API Colour Colours::royalblue
| static

## ◆ saddlebrown

const JUCE_API Colour Colours::saddlebrown
| static

## ◆ salmon

const JUCE_API Colour Colours::salmon
| static

## ◆ sandybrown

const JUCE_API Colour Colours::sandybrown
| static

## ◆ seagreen

const JUCE_API Colour Colours::seagreen
| static

## ◆ seashell

const JUCE_API Colour Colours::seashell
| static

## ◆ sienna

const JUCE_API Colour Colours::sienna
| static

## ◆ silver

const JUCE_API Colour Colours::silver
| static

## ◆ skyblue

const JUCE_API Colour Colours::skyblue
| static

## ◆ slateblue

const JUCE_API Colour Colours::slateblue
| static

## ◆ slategrey

const JUCE_API Colour Colours::slategrey
| static

## ◆ snow

const JUCE_API Colour Colours::snow
| static

## ◆ springgreen

const JUCE_API Colour Colours::springgreen
| static

## ◆ steelblue

const JUCE_API Colour Colours::steelblue
| static

## ◆ tan

const JUCE_API Colour Colours::tan
| static

## ◆ teal

const JUCE_API Colour Colours::teal
| static

## ◆ thistle

const JUCE_API Colour Colours::thistle
| static

## ◆ tomato

const JUCE_API Colour Colours::tomato
| static

## ◆ turquoise

const JUCE_API Colour Colours::turquoise
| static

## ◆ violet

const JUCE_API Colour Colours::violet
| static

## ◆ wheat

const JUCE_API Colour Colours::wheat
| static

## ◆ whitesmoke

const JUCE_API Colour Colours::whitesmoke
| static

## ◆ yellowgreen

const JUCE_API Colour Colours::yellowgreen
| static

The documentation for this class was generated from the following file:

- juce_Colours.h